#ifndef _NWASSERT_H_
#define _NWASSERT_H_

#ifndef DBG
#include <assert.h>
# define ASSERT assert
#else

#define ASSERT(expr) if(!(expr)){ \
		       ConsolePrintf("Assertion failed: %s, file %s, line %d", \
				     #expr, __FILE__, __LINE__); \
		       Breakpoint(1); \
		     }
#endif

#endif
