#ifdef NETWARE
#include <conio.h>
#include <process.h>
#include <stdio.h>
#else
#include <stdio.h>
#define delay(x)	usleep(x * 1000)
#define CreateScreen(s, a)	0
#define GetCurrentScreen()	0
#define SetCurrentScreen(x)	0
#define SetCursorShape(s, e)	0
#define DisplayScreen(x)	0
#define DestroyScreen(h)	0
#endif

char* solong_msg[] = {
"                   ############",
"                   ############",
"                   ############                        ###############",
"                      #######                         #################",
"                     #####                         #######################",
"                     ####                         ###########        #####",
"                    ####                         #########              ####",
"                    ###                         #########                ###",
"                    ##                          #########                 ###",
"                   ###                         ##########                  ###",
"                   ###                         #########                    ##",
"                   ###                        ##########                    ##",
"                   ###                        ##########                    ##",
"                   ###                        ##########                    ##",
"                   ###                       ##########                     ##",
"                   ####                     ##########                    ####",
"                    ####                   ###########                    ####",
"                    #####                ############                   #####",
"                    ######              ############                   #####",
"                      #######        ##############                ########",
"                      ############################                 ###########",
"                        #########################                  ###########",
"                         #######################                   ###########",
"                            #################",
"                             ###############",
"                                        ",
"                               ###########",
"                            ##################",
"                         #######################",
"                        ##########################",
"                      ##############################",
"                     ########               ########",
"                    #####                       #####",
"                    ####                          ####",
"                   ###                             ###",
"                   ###                              ##",
"                   ###                              ##",
"                   ###                              ##",
"                   ###                             ###",
"                    ###                           ####",
"                    #####                       #####",
"                     ########               ########",
"                      ##############################",
"                        ##########################",
"                         #######################",
"                            ##################",
"                               ###########",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"                   ###                                                      ##",
"                   ###                                                      ##",
"                   ###                                                      ##",
"                   ###########################################################",
"                   ###########################################################",
"                   ###########################################################",
"                   ###########################################################",
"                   ###########################################################",
"                   ###########################################################",
"                   ###                                                      ##",
"                   ###                                                      ##",
"                   ###                                                      ##",
"                   ###",
"                   ###",
"                   ###",
"                   ###",
"                   ###",
"                   ###",
"                   ###",
"                   ###",
"                   ###",
"                   ###",
"                   ###",
"                   #####",
"                   #####",
"                   ############",
"                   ############",
"                   ############",
"                              ",
"                               ###########",
"                            ##################",
"                         #######################",
"                        ##########################",
"                      ##############################",
"                     ########               ########",
"                    #####                       #####",
"                    ####                          ####",
"                   ###                             ###",
"                   ###                              ##",
"                   ###                              ##",
"                   ###                              ##",
"                   ###                             ###",
"                    ###                           ####",
"                    #####                       #####",
"                     ########               ########",
"                      ##############################",
"                        ##########################",
"                         #######################",
"                            ##################",
"                               ###########",
"                   ###                              ##",
"                   ###                              ##",
"                   ###################################",
"                   ###################################",
"                   ###################################",
"                   ###################################",
"                   ###################################",
"                   ###                        ####",
"                                                ####",
"                                                 ###",
"                                                  ####",
"                                                  ####",
"                                                  ####",
"                                                 #####",
"                   ###                        ########",
"                   ###################################",
"                   ###################################",
"                   #################################",
"                   ################################",
"                   ###########################",
"                   ###",
"                     ",
"       #######                        #######",
"     ###########                   #############",
"   #####      ####  ####         #################",
"  #####         ##########      ###################",
" ####             ##########   #####################",
"####             ############ #######################",
"###             ##########  #######             ######",
"###             #########    ####                 ####",
"###            #########     ##                     ##",
"###            #########     ##                     ##",
"###           #########      ##                     ##",
"####          ########       ###                   ###",
"#####        #########       ######             ######",
"#####        ########        ########         ########",
" ###################           #####################",
"  ##################            ####################",
"   ################              #################  #   ##",
"     ###########                   #############    #######",
"       ########                       #######       #######",
"                                                      #####",
"                                                        ##",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"                           #####",
"                        ###########",
"                      ###############         ###",
"                     #################      #######",
"                    ###################     #########",
"                    ######       ######     ##########",
"                   #####           #####      ##  ####",
"                   ####             ####           ###",
"                   ####             ####            ##",
"                    ###             ###             ##",
"                    ####           ####           ####",
"                     ###           ###            ####",
"                      ################################",
"                     ################################",
"                    ################################",
"                   ###############################",
"                   #############################",
"                   ####",
"                   ###",
"                   #",
"                    ",
"                   ###                              ##",
"                   ###                              ##",
"                   ###################################",
"                   ###################################",
"                   ###################################",
"                   ###################################",
"                   ###################################",
"                   ###                        ####",
"                                                ####",
"                                                 ###",
"                                                  ####",
"                                                  ####",
"                                                  ####",
"                                                 #####",
"                   ###                        ########",
"                   ###################################",
"                   ###################################",
"                   #################################",
"                   ################################",
"                   ###########################",
"                   ###",
"                     ",
"                             ###############",
"                           ###################",
"                        ##########################",
"                      #############################",
"                     ###############################",
"                    ##########             ##########",
"                    #####                       ######",
"                   #####                          ####",
"                   ###                             ###",
"                   ###                             ###",
"                    ##                             ###",
"                    ###                           ####",
"                     ###                         ###",
"                      ####                      ###                         ##",
"                   ###########################################################",
"                   ###########################################################",
"                   ###########################################################",
"                   ###########################################################",
"                   ###########################################################",
"                   ###",
"                   ###",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"                                                                   ###########",
"                                                                   ###########",
"                                                                   ###########",
"                                                                       #######",
"                                                                          ####",
"                                                                           ###",
"                                                                            ##",
"                                                                            ##",
"                                                                            ##",
"                   ###                                                      ##",
"                   ###                                                      ##",
"                   ###                                                      ##",
"                   ###########################################################",
"                   ###########################################################",
"                   ###########################################################",
"                   ###########################################################",
"                   ###########################################################",
"                   ###                                                      ##",
"                   ###                                                      ##",
"                   ###                                                      ##",
"                                                                            ##",
"                                                                            ##",
"                                                                            ##",
"                                                                           ###",
"                                                                          ####",
"                                                                       #######",
"                                                                   ###########",
"                                                                   ###########",
"                                                                   ###########",
"                   ###                                                      ##",
"                   ###                                                      ##",
"                   ###########################################################",
"                   ###########################################################",
"                   ###########################################################",
"                   ###########################################################",
"                   ###########################################################",
"                   ###                        ####",
"                                                ####",
"                                                 ###",
"                                                  ####",
"                                                  ####",
"                                                  ####",
"                                                 #####",
"                   ###                        ########",
"                   ###################################",
"                   ###################################",
"                   #################################",
"                   ################################",
"                   ###########################",
"                   ###",
"                     ",
"                           #####",
"                        ###########",
"                      ###############         ###",
"                     #################      #######",
"                    ###################     #########",
"                    ######       ######     ##########",
"                   #####           #####      ##  ####",
"                   ####             ####           ###",
"                   ####             ####            ##",
"                    ###             ###             ##",
"                    ####           ####           ####",
"                     ###           ###            ####",
"                      ################################",
"                     ################################",
"                    ################################",
"                   ###############################",
"                   #############################",
"                   ####",
"                   ###",
"                   #",
"                    ",
"                   ###                              ##",
"                   ###                              ##",
"                   ###################################",
"                   ###################################",
"                   ###################################",
"                   ###################################",
"                   ###################################",
"                   ###                        ####",
"                                                ####",
"                                                 ###",
"                                                  ####",
"                                                  ####",
"                                                  ####",
"                                                 #####",
"                   ###                        ########",
"                   ###################################",
"                   ###################################",
"                   #################################",
"                   ################################",
"                   ###########################",
"                   ###",
"                     ",
"                   ###                                                      ##",
"                   ###                                                      ##",
"                   ###########################################################",
"                   ###########################################################",
"                   ###########################################################",
"                   ###########################################################",
"                   ###########################################################",
"                   ###               #####",
"                                 ###########",
"                                #############",
"                             ##################",
"                            ##############  ####",
"                   ###   ##############       ####  ##",
"                   ### ##############          #######",
"                   ###############               #####",
"                   ############                    ###",
"                   ##########                       ##",
"                   ########",
"                   #######",
"                   ###",
"                   ###",
"                     ",
"                   #########             #####",
"                   #########           #########",
"                   #########         ##############",
"                     #####          ################",
"                    ####           ##################",
"                    ####          ##########      ####",
"                   ###           #########          ##",
"                   ###           #########          ##",
"                   ###           ########           ##",
"                   ###           ########           ##",
"                   ###          #########          ###",
"                   ###          #########         ####",
"                    ##         #########         ####",
"                    ###        #########        #####",
"                    ####     ##########       ########",
"                      #################       ########",
"                      ################        ########",
"                         ##########",
"                            #####",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"                                                    ##",
"                   ###                              ##",
"                   ###################################################",
"                   #####################################################",
"                   #########################################################",
"                   #########################################################",
"                   ###########################################################",
"                   ###########################################################",
"                   ###                              ##                      ##",
"                                                    ##              ####    ##",
"                                                    ##            ############",
"                                                    ##           #############",
"                                                                 ############",
"                                                                  ##########",
"                                                                    ####",
"                               ###########",
"                            ##################",
"                         #######################",
"                        ##########################",
"                      ##############################",
"                     ########               ########",
"                    #####                       #####",
"                    ####                          ####",
"                   ###                             ###",
"                   ###                              ##",
"                   ###                              ##",
"                   ###                              ##",
"                   ###                             ###",
"                    ###                           ####",
"                    #####                       #####",
"                     ########               ########",
"                      ##############################",
"                        ##########################",
"                         #######################",
"                            ##################",
"                               ###########",
"                   ###                              ##",
"                   ###                              ##",
"                   ###################################",
"                   ###################################",
"                   ###################################",
"                   ###################################",
"                   ###################################",
"                   ###                      ####",
"                                              ####",
"                                              #####",
"                                                ####",
"                                                #####",
"                                                ######",
"                                            ##########",
"                                          ############",
"                                          ############",
"                                          ############",
"                                          ###########",
"                                           #########",
"                                                 ",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"                   ###",
"                   ###",
"                   ###",
"                   ###",
"                   ########",
"                   ##########",
"                   ###    ########",
"                   ###      #########",
"                                 #########",
"                                    ########",
"                                     ### ########",
"                                     ###    ########",
"                                     ###        #########",
"                                     ###           ########",
"                                     ###                #########",
"                                     ###                     ########",
"                                     ###                      ##########",
"                                     ###                 ####################",
"                                     ###               #######################",
"                                     ###          ########################",
"                                     ###       #########################",
"                                     ###  #########################",
"                                     ###########################",
"                                   ########################",
"                   ###          #########################",
"                   ###     #########################",
"                   ###  ##########################",
"                   #########################",
"                   #######################",
"                   ##################",
"                   #############",
"                   ##########",
"                   #####",
"                   ###",
"                   ###",
"                   ###",
"                     ",
"                   ###                                                      ##",
"                   ###                                                      ##",
"                   ###########################################################",
"                   ###########################################################",
"                   ###########################################################",
"                   ###########################################################",
"                   ###########################################################",
"                   ###",
"                     ",
"                   ###                                                      ##",
"                   ###                                                      ##",
"                   ###########################################################",
"                   ###########################################################",
"                   ###########################################################",
"                   ###########################################################",
"                   ###########################################################",
"                   ###",
"                     ",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"                                                    ##",
"                                                    ##",
"                          #####################################",
"                        #######################################",
"                     ##########################################",
"                    ###########################################",
"                   ############################################",
"                   ############################################",
"                   ######                           ##",
"                   #####                            ##",
"                    ####",
"                    ####",
"                      ###",
"                        ##",
"                   ###                                                      ##",
"                   ###                                                      ##",
"                   ###########################################################",
"                   ###########################################################",
"                   ###########################################################",
"                   ###########################################################",
"                   ###########################################################",
"                   ###                        ####",
"                                                ####",
"                                                 ###",
"                                                  ####",
"                                                  ####",
"                                                  ####",
"                                                 #####",
"                   ###                        ########",
"                   ###################################",
"                   ###################################",
"                   #################################",
"                   ################################",
"                   ###########################",
"                   ###",
"                     ",
"                               ###########",
"                            ##################",
"                         #######################",
"                        ##########################",
"                      ##############################",
"                     ########      ###      ########",
"                    #####          ###          #####",
"                    ####           ###            ####",
"                   ###             ###             ###",
"                   ###             ###              ##",
"                   ###             ###              ##",
"                   ###             ###              ##",
"                    ##             ###            ####",
"                    ##             ###            ####",
"                    ###            ###         ######",
"                      ##           #################",
"                      ####         ################",
"                         ###       #############",
"                                   ############",
"                                   #######",
"                                          ",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"                   ###                                                      ##",
"                   ###                                                      ##",
"                   ###                                                      ##",
"                   ###########################################################",
"                   ###########################################################",
"                   ###########################################################",
"                   ###########################################################",
"                   ###########################################################",
"                   ###########################################################",
"                   ###                              ##                      ##",
"                   ###                              ##                      ##",
"                   ###                              ##                      ##",
"                                                    ##                      ##",
"                                                    ##                      ##",
"                                                    ##                      ##",
"                                                    ##                      ##",
"                                                    ##                      ##",
"                                                  ######                    ##",
"                                               ############                 ##",
"                                               ############                 ##",
"                                               ############                 ##",
"                                                                            ##",
"                                                                           ###",
"                                                                          ####",
"                                                                         #####",
"                                                                   ###########",
"                                                                   ###########",
"                                                                   ###########",
"                                                                              ",
"                   ###                              ##",
"                   ###                              ##           ####",
"                   ###################################         ########",
"                   ###################################        #########",
"                   ###################################        #########",
"                   ###################################         ########",
"                   ###################################           ####",
"                   ###",
"                     ",
"                   #########             #####",
"                   #########           #########",
"                   #########         ##############",
"                     #####          ################",
"                    ####           ##################",
"                    ####          ##########      ####",
"                   ###           #########          ##",
"                   ###           #########          ##",
"                   ###           ########           ##",
"                   ###           ########           ##",
"                   ###          #########          ###",
"                   ###          #########         ####",
"                    ##         #########         ####",
"                    ###        #########        #####",
"                    ####     ##########       ########",
"                      #################       ########",
"                      ################        ########",
"                         ##########",
"                            #####",
"                   ###                                                      ##",
"                   ###                                                      ##",
"                   ###########################################################",
"                   ###########################################################",
"                   ###########################################################",
"                   ###########################################################",
"                   ###########################################################",
"                   ###                        ####",
"                                                ####",
"                                                 ###",
"                                                  ####",
"                                                  ####",
"                                                  ####",
"                                                 #####",
"                   ###                        ########",
"                   ###################################",
"                   ###################################",
"                   #################################",
"                   ################################",
"                   ###########################",
"                   ###",
"                     ",
"                      ####                                #############",
"                    #######                     ##########################",
"                   #########       ##########################################",
"                   #########      ############################################",
"                    ########             ###################################",
"                    #######                     ##########################",
0
};


void SoLong(void* arg) {
  int scrollDelay = (int)arg;
  for (;;) {
    char** line = solong_msg;
    int osh, sh;
    delay(5 * 60 * 1000);
    osh = GetCurrentScreen();
    sh = CreateScreen("So Long and Thanks for All the Fish!",
		      DONT_AUTO_ACTIVATE |
		      DONT_CHECK_CTRL_CHARS |
		      AUTO_DESTROY_SCREEN |
		      POP_UP_SCREEN);
    SetCurrentScreen(sh);
    DisplayScreen(sh);
    ((long*)__GetScreenID(sh))[10] |= 1; /* NON_SWITCHABLE_SCREEN */
    SetCursorShape(0, 0);
    while (*line) {
      puts(*line++);
      delay(scrollDelay);
    }
    delay(3 * 1000);
    DestroyScreen(sh);
    SetCurrentScreen(osh);
    DisplayScreen(osh);
  }
}


#ifndef NETWARE
int main(int argc, char* argv[]) {
  int scrollDelay = 50;
  if (argc > 1)
    scrollDelay = atoi(argv[1]);
  SoLong((void*)scrollDelay);
}
#endif
